Which version of Xcode is the best for High Sierra?

Hi folks,

I have MacBook Pro 2012 mid - Mac OS High Sierra (10.13.6).

  • I used the same laptop but Yosemite and Xcode 7.1 for a long time.
    And then upgraded High Sierra and Xcode 10.0.
    But it takes a long time to run and shows up a plenty of warning.
    I expected it should be better than lower mac OS and Xcode version though.

Q: Which version of Xcode is the best for mine, not getting slow?

What version is best may depend on your MacBook’s hardware.

I run OF 0.11.0 on Xcode 9.41 on High Sierra 10.13.2 on a Mid-2010 13" MacBook… but it is an upgraded MacBook with 6 GB RAM and an SSD in it. Performance is good for me on this machine…

… But sadly Apple won’t allow it to build Apps for its Apple Store any more - In order to do that, I had to buy a newer Mac to be allowed to run the the OS version that’s allowed to run the Xcode version that’s allowed to publish to the Apple Store these days.

Thanks.
I’m testing after you answered.
I just got 2 warnings.

What’s your macOS Deployment Target?

My macOS Deployment Target is 10.9.